de.caff.generics.function

## Interface CharFunction2<T>

- Type Parameters:
    `T` - output type
  All Superinterfaces:
    java.util.function.BiFunction<java.lang.Character,java.lang.Character,T>, java.util.function.Function<ITuple2<? extends java.lang.Character,? extends java.lang.Character>,T>, Function1<T,ITuple2<? extends java.lang.Character,? extends java.lang.Character>>, Function2<T,java.lang.Character,java.lang.Character>
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface CharFunction2<T>
      extends Function2<T,java.lang.Character,java.lang.Character>

  Function which has two primitive characters as input, and an object as output.
  Since:
    October 19, 2021
  Author:
    Rammi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default T` | `apply(java.lang.Character v1, java.lang.Character v2)` Default implementation.
    `T` | `applyAsChar(char ch1, char ch2)` Convert two characters into something else.

    - ### Methods inherited from interface de.caff.generics.function.Function2

      `after1, after2, after3, after5, after6, after7, after8, after9, andThen, apply, applyOrDefault, from, nonFragile, nonFragile, nonFragileX, partial1, partial2, partialLeft, partialRight`

    - ### Methods inherited from interface de.caff.generics.function.Function1

      `after, applyNonNull, applyOrDefault, fallback, fallback, from, from, nonFragile, nonFragile, nonFragileX, partial, withFallback`

    - ### Methods inherited from interface java.util.function.Function

      `compose, identity`

- - ### Method Detail

    - #### applyAsChar

          T applyAsChar(char ch1,
                        char ch2)

      Convert two characters into something else.
      Parameters:
        `ch1` - first character
        `ch2` - second character
      Returns:
        converted character

    - #### apply

          default T apply(java.lang.Character v1,
                          java.lang.Character v2)

      Default implementation. This uses `applyAsChar(char, char)`.
      Specified by:
        `apply` in interface `java.util.function.BiFunction<java.lang.Character,java.lang.Character,T>`
      Parameters:
        `v1` - first argument
        `v2` - second argument
      Returns:
        result value
      Throws:
        `java.lang.NullPointerException` - if either argument is `null`